using System;
using System.Collections.Generic;
using System.Text;

using MapApp.Model;
using MapApp.Ui;

namespace MapApp.Model
{
    /// <summary>
    /// Abstraction of the currently active map. Static methods for things like
    ///  ZoomTo(MapLocation), and things like that.
    public class Map
    {
        private MapOptions _mapOptions = new MapOptions();

        public MapOptions MapOptions
        {
            get { return _mapOptions; }
            //set { _mapOptions = value; }
        }

        public static void ZoomTo(MapLocation location)
        {
            AppUtil.frmMain.MapControl.ZoomTo(location);
        }

        public static void SetOverviewMapVisible(bool visible)
        {
            AppUtil.frmMain.MapControl.SetOverviewMapVisible(visible);
        }

        public static void SetScaleBarVisible(bool visible)
        {
            AppUtil.frmMain.MapControl.SetScaleBarVisible(visible);
        }

        public static void NewMarker(MapLocation location, string toolTip)
        {
            AppUtil.frmMain.MapControl.NewMarker(location, toolTip);
        }
    }
}
